org.apache.cassandra.io.util

## Interface ICompressedFile

All Known Implementing Classes:
  CompressedPoolingSegmentedFile, CompressedSegmentedFile

    public interface ICompressedFile

### Method Summary

All Methods Instance Methods Abstract Methods
`ChannelProxy` `channel()`
`java.util.TreeMap<java.lang.Long,java.nio.MappedByteBuffer>` `chunkSegments()`
`CompressionMetadata` `getMetadata()`

### Method Detail

#### channel

    ChannelProxy channel()

#### getMetadata

    CompressionMetadata getMetadata()

#### chunkSegments

    java.util.TreeMap<java.lang.Long,java.nio.MappedByteBuffer> chunkSegments()